STRUCT MIPI_DSI_MSG(9)

NAME
struct_mipi_dsi_msg - read/write DSI buffer

SYNOPSIS

struct mipi_dsi_msg {
  u8 channel;
  u8 type;
  u16 flags;
  size_t tx_len;
  const void * tx_buf;
  size_t rx_len;
  void * rx_buf;
};

MEMBERS

channel
    virtual channel id

type
    payload data type

flags
    flags controlling this message transmission

tx_len
    length of tx_buf

tx_buf
    data to be written

rx_len
    length of rx_buf

rx_buf
    data to be read, or NULL

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT